Name: x11-driver-video-mach64
Version: 6.9.7
Release: %mkrel 2
Epoch: 1
Summary: X.org driver for ATI Mach64
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-mach64-%{version}.tar.xz
# From Fedora:
Patch0:	    mach64-6.8.1-defaultdepth.patch

License: MIT
ExclusiveArch: %ix86 x86_64

BuildRequires: pkgconfig(libdrm) >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0
Conflicts: x11-driver-video-ati <= 1:6.8.0

%description
x11-driver-video-mach64 is the X.org driver for ATI Mach64.


%prep
%setup -q -n xf86-video-mach64-%{version}
%autopatch -p1

%build
autoreconf -ifs
%configure --disable-dri
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/mach64_drv.so




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1:6.9.7-2.mga10
+ Revision: 2214768
- Mageia 10 Mass Rebuild

* Tue Jul 12 2022 tv <tv> 1:6.9.7-1.mga9
+ Revision: 1868586
- 6.9.7

* Fri Apr 01 2022 umeabot <umeabot> 1:6.9.6-5.mga9
+ Revision: 1838063
- Mageia 9 Mass Rebuild

* Thu Nov 04 2021 tv <tv> 1:6.9.6-4.mga9
+ Revision: 1753897
- Fix building with xserver-21.1
+ tmb <tmb>
- rebuild for updated xserver-abi
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 1:6.9.6-3.mga8
+ Revision: 1544041
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:6.9.6-2.mga7
+ Revision: 1301758
- Mageia 7 Mass Rebuild

* Mon May 21 2018 tv <tv> 1:6.9.6-1.mga7
+ Revision: 1231303
- new release

* Tue Mar 20 2018 tv <tv> 1:6.9.5-7.mga7
+ Revision: 1210750
- fix build with xserver 1.20 for Marja
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1:6.9.5-6.mga6
+ Revision: 1067736
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1:6.9.5-5.mga6
+ Revision: 1043255
- rebuild for xorg-server 1.18.4

* Sun Feb 07 2016 cjw <cjw> 1:6.9.5-4.mga6
+ Revision: 942398
- use configure2_5x to fix build

* Wed Nov 11 2015 tv <tv> 1:6.9.5-3.mga6
+ Revision: 902297
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1:6.9.5-2.mga6
+ Revision: 902055
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 1:6.9.5-1.mga6
+ Revision: 837447
- drop merged patch
- new release
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1:6.9.4-13.mga5
+ Revision: 739103
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:6.9.4-12.mga5
+ Revision: 690435
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1:6.9.4-11.mga5
+ Revision: 635021
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1:6.9.4-10.mga5
+ Revision: 633679
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1:6.9.4-9.mga5
+ Revision: 614369
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1:6.9.4-8.mga5
+ Revision: 582314
- patch 1: fix segfaults (mga#8349)

* Fri Dec 06 2013 tmb <tmb> 1:6.9.4-7.mga4
+ Revision: 555559
- rebuild for new mesa

* Wed Dec 04 2013 tmb <tmb> 1:6.9.4-6.mga4
+ Revision: 555159
- try build with mesa 10

* Tue Dec 03 2013 tv <tv> 1:6.9.4-5.mga4
+ Revision: 554735
- patch 1: fix segfaults (mga#8349)

* Sat Oct 19 2013 umeabot <umeabot> 1:6.9.4-4.mga4
+ Revision: 525410
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1:6.9.4-3.mga4
+ Revision: 433167
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1:6.9.4-2.mga4
+ Revision: 385993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 tv <tv> 1:6.9.4-1.mga3
+ Revision: 333387
- new release

* Wed Dec 12 2012 tv <tv> 1:6.9.3-3.mga3
+ Revision: 329959
- disable DRI support  (it's been nuked from upstream Mesa)
- add some patches from FC
- add some patches from xorg ml in order to fix crashes
  (should fix mga#8349)

* Thu Sep 13 2012 tv <tv> 1:6.9.3-2.mga3
+ Revision: 293581
- backport build faillure fix from git
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1:6.9.3-1.mga3
+ Revision: 273758
- new release

* Thu Jul 12 2012 tv <tv> 1:6.9.2-1.mga3
+ Revision: 270170
- new release

* Wed Jun 06 2012 tmb <tmb> 1:6.9.1-3.mga3
+ Revision: 256436
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1:6.9.1-2.mga3
+ Revision: 253010
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1:6.9.1-1.mga3
+ Revision: 249885
- new release

* Tue Dec 06 2011 tmb <tmb> 1:6.9.0-3.mga2
+ Revision: 177558
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1:6.9.0-2.mga2
+ Revision: 153119
- rebuild for xserver-1.11

* Sat Apr 30 2011 tv <tv> 1:6.9.0-1.mga1
+ Revision: 93621
- new release (xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1:6.8.2-6.mga1
+ Revision: 64699
- mach64: fix the pixmap private API change in x11-server 1.10
+ tv <tv>
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1:6.8.2-4.mga1
+ Revision: 50229
- imported package x11-driver-video-mach64


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1:6.8.2-4mdv2011.0
+ Revision: 595719
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1:6.8.2-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 1:6.8.2-2mdv2010.1
+ Revision: 464338
- rebuild for new xserver

* Sat Aug 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1:6.8.2-1mdv2010.0
+ Revision: 407093
- update to new version 6.8.2

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.8.1-1mdv2010.0
+ Revision: 369180
- New version 6.8.1

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1:6.8.0-4mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1:6.8.0-3mdv2009.1
+ Revision: 308168
- rebuild for new X server

* Fri Jul 04 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1:6.8.0-2mdv2009.0
+ Revision: 231810
- Correct wrong conflicts field.

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1:6.8.0-1mdv2009.0
+ Revision: 219468
- import x11-driver-video-mach64


